package com.sheep.gamegroup.view.fragment;

import com.sheep.gamegroup.model.entity.BaseMessage;
import com.sheep.gamegroup.model.entity.RechargeBalanceLog;
import com.sheep.jiuyan.samllsheep.SheepApp;

import java.util.List;

import io.reactivex.Observable;

/**
 * 我的资产 --> 充值记录
 * Created by realicing on 2018/5/8.
 * realicing@sina.com
 */
public class FgtMyMoney1 extends AbsFgtMyMoney {
    @Override
    protected List<RechargeBalanceLog> getDatas(BaseMessage baseMessage) {
        return baseMessage.getDatas(RechargeBalanceLog.class);
    }

    @Override
    protected Observable<BaseMessage> initObservable(int page, int per_page) {
        return SheepApp.getInstance().getNetComponent().getApiService().getRechargeBalanceLog(page, per_page);
    }
}
